Bug 315201 - smbldap-tools doesn't work
smbldap-tools doesn't work
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: samba (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Guenther Deschner
Depends On:
  Show dependency treegraph
Reported: 2007-10-02 06:16 EDT by Andrew
Modified: 2010-04-26 10:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-04-26 10:32:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andrew 2007-10-02 06:16:07 EDT
Description of problem:
Smbldap-tools doesn't work because there is no perl-Crypt-SmbHash RPM in RHEL5.

How reproducible:
Every time

Steps to Reproduce:
1. edit /etc/samba/smb.conf - change scripts add user/machine/group to use
smbldap-* utils.

2. net rpc vampire -S winserver.a.com
Actual results:

Creating unix group: 'DnsUpdateProxy'
Can't locate Crypt/SmbHash.pm in @INC (@INC contains:
/usr/lib/perl5/site_perl/5.8.8 /usr/lib/perl5/site_perl/5.8.7
/usr/lib/perl5/site_perl/5.8.6 /usr/lib/perl5/site_perl/5.8.5
/usr/lib/perl5/vendor_perl/5.8.8 /usr/lib/perl5/vendor_perl/5.8.7
/usr/lib/perl5/vendor_perl/5.8.6 /usr/lib/perl5/vendor_perl/5.8.5
/usr/lib/perl5/vendor_perl /usr/lib/perl5/5.8.8/i386-linux-thread-multi
/usr/lib/perl5/5.8.8 .) at
/usr/share/doc/samba-3.0.23c/LDAP/smbldap-tools-0.9.2//smbldap_tools.pm line 5,
<DATA> line 225.
BEGIN failed--compilation aborted at
/usr/share/doc/samba-3.0.23c/LDAP/smbldap-tools-0.9.2//smbldap_tools.pm line 5,
<DATA> line 225.
Compilation failed in require at
/usr/share/doc/samba-3.0.23c/LDAP/smbldap-tools-0.9.2/smbldap-groupadd line 32,
<DATA> line 225.

Comment 1 Simo Sorce 2007-10-09 08:22:53 EDT
we are in the process of removing smbldap-tools from the examples because of the
problems distributing them this way creates.

smbldap-tools are however now available from the EPEL repositories, I suggest
you to switch to use the ones provided from EPEL.
Comment 2 Paul Howarth 2009-03-19 12:22:21 EDT
The EPEL5 versions of smbldap-tools and perl-Crypt-SmbHash are available here:


Could you give them a try?
Comment 3 Dmitri Pal 2010-04-26 10:32:49 EDT
Addressed by other means.

Note You need to log in before you can comment on or make changes to this bug.